Error 500 Premature end of script headers: index.php after upgrade to 3.0.5

Discussion in 'Installation/Configuration' started by baskin, Feb 26, 2013.

  1. baskin

    baskin Member

    I'm getting this error on the ispconfig panel.

    All other vhosts are working.

    Also on apache error log, i have these:

    Code:
    /srv/www/php-fcgi-scripts/ispconfig/.php-fcgi-starter: line 6: /usr/lib/cgi-bin/php: No such file or directory
    /srv/www/php-fcgi-scripts/ispconfig/.php-fcgi-starter: line 6: exec: /usr/lib/cgi-bin/php: cannot execute: No such file or directory
    [Tue Feb 26 10:46:23 2013] [warn] [client 10.214.0.98] (104)Connection reset by peer: mod_fcgid: error reading data from FastCGI server
    [Tue Feb 26 10:46:23 2013] [error] [client 10.214.0.98] Premature end of script headers: index.php
     
  2. baskin

    baskin Member

  3. nokia80

    nokia80 Member

    same problem here i run debian but there is no file in that map???
     
  4. baskin

    baskin Member

    This file?

    /var/www/php-fcgi-scripts/ispconfig/.php-fcgi-starter

    It is a hidden file (beware of the dot).
     
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    @baskin: We verified the paths in curent OpenSuse releases but it might be that they are different in a older release like yours. Instead of changing the path in the ispconfig file, just make symlink from /usr/lib/cgi-bin/php to the location were your php fcgi binary is stored.


    @nokia80

    The above applies only to OpenSuse as OpenSuse changes the paths for the php binary depending on which repository and builder you use. So please do not post any debian related things to this thread as it will not apply to your problem and make a new thread instaed.
     
  6. fbarcenas

    fbarcenas Member

    I am having the same problem:
    Change path "/usr/lib/cgi-bin/php" to "/usr/bin/php-cgi \"
    Does not fix my problem. Any ideas?
    Code:
    suexec policy violation: see suexec log for more details
    [Fri Jan 27 02:21:19 2017] [warn] [client x.x.x.x] (104)Connection reset by peer: mod_fcgid: error reading data from FastCGI server
    [Fri Jan 27 02:21:19 2017] [error] [client x.x.x.x] Premature end of script headers: index.php
     
  7. ptroms

    ptroms New Member

    Hi Guys
    I just recently have a small problem accessing the admin website by error "Error 500 Internal server error".
    According to the httpd error_log I have got:
    (104)Connection reset by peer: mod_fcgid: error reading data from FastCGI server
    Premature end of script headers: index.php
    Very unfortunately there is no access to the admin site at all.
    Currently server is running on ispconfig 3.1 the newest version, php 5.6.30, Centos 6.8
    I have noticed that the admin access dies at the same time when php 5.6 where updated. Is any way around to sort it out, or return the php to the default version to gain admin access again?
    many thanks
    peter
     
  8. Jesse Norell

    Jesse Norell Well-Known Member

    I don't run centos, but if updating php is what broke it, I'd sure try going back to the default version. Just add additional php versions to run websites on newer versions, don't change the system php.
     

Share This Page